com.jscape.inet.gateway.operation.statistics

## Class ServerStatistics

- java.lang.Object
- - com.jscape.inet.gateway.operation.statistics.ServerStatistics

-     public class ServerStatistics
      extends java.lang.Object

  Author:
    Alex Usun

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ConnectionsMeasurement[]` | `connectionsMeasurements`
    `long` | `currentAdministratorConnections`
    `long` | `currentAgentConnections`
    `long` | `currentUserConnections`
    `java.lang.Long` | `databaseFileSize`
    `long` | `freeMemory`
    `java.lang.Long` | `logDatabaseFileSize`
    `long` | `maxMemory`
    `MemoryMeasurement[]` | `memoryMeasurements`
    `long` | `startTime`
    `int` | `threads`
    `ThreadsMeasurement[]` | `threadsMeasurements`
    `long` | `totalAdministratorConnections`
    `long` | `totalMemory`
    `long` | `totalUserConnections`
    `long` | `uptime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerStatistics()`
    `ServerStatistics(long startTime, long uptime, long maxMemory, long totalMemory, long freeMemory, int threads, java.lang.Long databaseFileSize, java.lang.Long logDatabaseFileSize, long totalAdministratorConnections, long currentAdministratorConnections, long totalUserConnections, long currentUserConnections, long currentAgentConnections, ConnectionsMeasurement[] connectionsMeasurements, MemoryMeasurement[] memoryMeasurements, ThreadsMeasurement[] threadsMeasurements)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### startTime

          public long startTime

    - #### uptime

          public long uptime

    - #### maxMemory

          public long maxMemory

    - #### totalMemory

          public long totalMemory

    - #### freeMemory

          public long freeMemory

    - #### threads

          public int threads

    - #### databaseFileSize

          public java.lang.Long databaseFileSize

    - #### logDatabaseFileSize

          public java.lang.Long logDatabaseFileSize

    - #### totalAdministratorConnections

          public long totalAdministratorConnections

    - #### currentAdministratorConnections

          public long currentAdministratorConnections

    - #### totalUserConnections

          public long totalUserConnections

    - #### currentUserConnections

          public long currentUserConnections

    - #### currentAgentConnections

          public long currentAgentConnections

    - #### connectionsMeasurements

          public ConnectionsMeasurement[] connectionsMeasurements

    - #### memoryMeasurements

          public MemoryMeasurement[] memoryMeasurements

    - #### threadsMeasurements

          public ThreadsMeasurement[] threadsMeasurements

  - ### Constructor Detail

    - #### ServerStatistics

          public ServerStatistics(long startTime,
                                  long uptime,
                                  long maxMemory,
                                  long totalMemory,
                                  long freeMemory,
                                  int threads,
                                  java.lang.Long databaseFileSize,
                                  java.lang.Long logDatabaseFileSize,
                                  long totalAdministratorConnections,
                                  long currentAdministratorConnections,
                                  long totalUserConnections,
                                  long currentUserConnections,
                                  long currentAgentConnections,
                                  ConnectionsMeasurement[] connectionsMeasurements,
                                  MemoryMeasurement[] memoryMeasurements,
                                  ThreadsMeasurement[] threadsMeasurements)

    - #### ServerStatistics

          public ServerStatistics()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved